namespace PkmnLib.Plugin.Gen7.Scripts.Items.Pokeballs;

[ItemScript("friend_ball")]
public class FriendBall : PokeballScript
{
    /// <inheritdoc />
    public FriendBall(IItem item) : base(item)
    {
    }

    /// <inheritdoc />
    public override void ChangeCatchRate(IPokemon target, ref byte catchRate)
    {
    }

    /// <inheritdoc />
    public override void OnAfterSuccessfulCapture(IPokemon target)
    {
        target.Happiness = 200;
    }
}